%define module	django-ranged-response

Name:		python-%{module}
Version:	0.2.0
Release:	%mkrel 8
Summary:	Modified Django FileResponse that adds Content-Range headers
License:	MIT
Group:		Development/Python
URL:		https://github.com/wearespindle/django-ranged-fileresponse/
Source0:	https://pypi.io/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
This is a modified FileResponse that returns `Content-Range` headers
with the HTTP response, so browsers (read Safari 9+) that request the
file, can stream the response properly.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Modified Django FileResponse that adds Content-Range headers
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
This is a modified FileResponse that returns `Content-Range` headers
with the HTTP response, so browsers (read Safari 9+) that request the
file, can stream the response properly.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf django_ranged_response.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%{python3_sitelib}/ranged_response/
%{python3_sitelib}/django_ranged_response-%{version}-py%{python3_version}.egg-info/


%changelog
* Thu Sep 17 2020 guillomovitch <guillomovitch> 0.2.0-8.mga8
+ Revision: 1628009
- rebuild to fix automatic dependencies versioning

* Wed Jul 15 2020 daviddavid <daviddavid> 0.2.0-7.mga8
+ Revision: 1606214
- add missing python_provides

* Sun Feb 16 2020 umeabot <umeabot> 0.2.0-6.mga8
+ Revision: 1531864
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.2.0-5.mga8
+ Revision: 1441334
- rebuild for python3.8

* Wed Aug 21 2019 wally <wally> 0.2.0-4.mga8
+ Revision: 1430842
- drop python2 support

* Fri Jan 11 2019 daviddavid <daviddavid> 0.2.0-3.mga7
+ Revision: 1354912
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.2.0-2.mga7
+ Revision: 1288697
- Mageia 7 Mass Rebuild

* Sat Jan 13 2018 daviddavid <daviddavid> 0.2.0-1.mga7
+ Revision: 1192489
- initial package python-django-ranged-response

